package com.ruoyi.gysl.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.gysl.entity.PlanInformation;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.service.PlanInformationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 规划信息(PlanInformation)表控制层
 *
 * @author makejava
 * @since 2025-02-24 14:21:57
 */
@Api(tags = "规划信息")
@RestController
@RequestMapping("/gysl/planInformation")
public class PlanInformationController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private PlanInformationService planInformationService;

    /**
     * 根据项目id查询规划信息
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    @GetMapping("/selectAll")
    @ApiOperation("根据项目id查询规划信息")
    public AjaxResult selectAll( ZwIdPageReq zwIdPageReq) {
        return success(planInformationService.selectAll(zwIdPageReq));
    }


    /**
     * 新增数据
     *
     * @param planInformation 实体对象
     * @return 新增结果
     */
    @PostMapping("/add")
    @ApiOperation("新增数据")
    public AjaxResult insert(@RequestBody PlanInformation planInformation) {
        return success(planInformationService.save(planInformation));
    }

    /**
     * 修改数据
     *
     * @param planInformation 实体对象
     * @return 修改结果
     */
    @PostMapping("/edit")
    @ApiOperation("修改数据")
    public AjaxResult update(@RequestBody PlanInformation planInformation) {
        return success(planInformationService.updateById(planInformation));
    }
}

