package com.ruoyi.gysl.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.gysl.entity.ProjectMonthInfo;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.service.ProjectMonthInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.io.Serializable;
import java.util.List;

/**
 * 月度进展详情(ProjectMonthInfo)表控制层
 *
 * @author makejava
 * @since 2025-03-19 10:49:03
 */
@Api(tags = "月度进展详情")
@RestController
@RequestMapping("/gysl/projectMonthInfo")
public class ProjectMonthInfoController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private ProjectMonthInfoService projectMonthInfoService;

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    @ApiOperation("分页查询所有数据")
    @GetMapping("/page")
    public AjaxResult selectAll(Page<ProjectMonthInfo> page, ZwIdPageReq zwIdPageReq) {
        return success(projectMonthInfoService.page(page, zwIdPageReq));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @ApiOperation("通过主键查询单条数据")
    @GetMapping("/{id}")
    public AjaxResult selectOne(@PathVariable Serializable id) {
        return success(projectMonthInfoService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param projectMonthInfo 实体对象
     * @return 新增结果
     */
    @ApiOperation("新增数据")
    @PostMapping("/add")
    public AjaxResult insert(@RequestBody ProjectMonthInfo projectMonthInfo) {
        return success(projectMonthInfoService.save(projectMonthInfo));
    }

    /**
     * 修改数据
     *
     * @param projectMonthInfo 实体对象
     * @return 修改结果
     */
    @ApiOperation("修改数据")
    @PutMapping("/edit")
    public AjaxResult update(@RequestBody ProjectMonthInfo projectMonthInfo) {
        return success(projectMonthInfoService.updateById(projectMonthInfo));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @ApiOperation("删除数据")
    @DeleteMapping("/delete")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(projectMonthInfoService.removeByIds(idList));
    }

    /**
     * 根据条件导出月度进展详情
     */
    @ApiOperation(value = "根据条件导出月度进展详情")
    @PostMapping(value = "/export")
    public void export(HttpServletResponse response, ZwIdPageReq zwIdPageReq) throws Exception {
        List<ProjectMonthInfo> filteredList = projectMonthInfoService.page(zwIdPageReq);
        ExcelUtil<ProjectMonthInfo> util = new ExcelUtil<>(ProjectMonthInfo.class);
        util.exportExcel(response, filteredList, "企业名录数据");
    }
}

