package com.ruoyi.gysl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 基本信息(BasicInformation)表实体类
 *
 * @author makejava
 * @since 2025-02-24 09:25:55
 */
@Data
@ApiModel("基本信息")
@TableName(value = "basic_information")
public class BasicInformation extends Model<BasicInformation> {

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @NotBlank
    @Excel(name = "项目名称")
    @ApiModelProperty("项目名称")
    private String name;

    @ApiModelProperty("总用地面积")
    @TableField(exist = false)
    private BigDecimal zydmj;


    @NotBlank
    @Excel(name = "项目法人单位")
    @ApiModelProperty("项目法人单位")
    private String xmfrdwxz;


    @NotBlank
    @Excel(name = "项目法人单位性质")
    @ApiModelProperty("项目法人单位性质")
    private Integer nature;

    @ApiModelProperty("施工单位")
    @Excel(name = "施工单位")
    private String sgdw;

    @ApiModelProperty("设计单位")
    @Excel(name = "设计单位")
    private String sjdw;

    @ApiModelProperty("总投资额")
    @Excel(name = "总投资额")
    private BigDecimal ztze;

    @NotBlank
    @Excel(name = "所属功能区")
    @ApiModelProperty("所属功能区")
    private Integer ssgnq;


    @ApiModelProperty("建设开始时间")
    @Excel(name = "建设开始时间",dateFormat="yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date begainTime;

    @ApiModelProperty("建设结束时间")
    @Excel(name = "建设结束时间",dateFormat="yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    @NotBlank
    @Excel(name = "现状分类")
    @ApiModelProperty("现状分类")
    private Integer xzfl;

    @NotBlank
    @Excel(name = "建设地点")
    @ApiModelProperty("建设地点")
    private String jsdd;

    @NotBlank
    @Excel(name = "重点发展产业")
    @ApiModelProperty("重点发展产业")
    private String prioritize;

    @NotBlank
    @Excel(name = "建设模式")
    @ApiModelProperty("建设模式")
    private Integer jsms;

    @Excel(name = "项目标签")
    @ApiModelProperty("项目标签")
    private String label;

    @NotBlank
    @Excel(name = "项目负责人")
    @ApiModelProperty("项目负责人")
    private String projectLeader;

    @NotBlank
    @Excel(name = "联系方式")
    @ApiModelProperty("联系方式")
    private String phone;


    @ApiModelProperty("施工许可证发放时间")
    @Excel(name = "施工许可证发放时间")
//    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String issuingTime;

    @ApiModelProperty("施工许可证发放时间")
    @Excel(name = "施工许可证发放时间")
//    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String acceptanceTime;


    @ApiModelProperty("建设进度")
    @Excel(name = "建设进度")
    private String jsjd;

    @NotBlank
    @Excel(name = "项目法人单位简介")
    @ApiModelProperty("项目法人单位简介")
    private String unitIntroduction;

    @NotBlank
    @ApiModelProperty("项目简介")
    private String introduction;

    @ApiModelProperty("附件")
    private String fj;


    //创建者id
    @ApiModelProperty("创建者id")
    private Integer createId;

    //创建时间
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;


    //创建者
    @ApiModelProperty("创建者")
    private String createBy;

    //更新者ID
    @ApiModelProperty("更新者ID")
    private Long updateId;

    //更新者
    @ApiModelProperty("更新者")
    private String updateBy;

    //更新时间
    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;


}

