package com.ruoyi.gysl.entity;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 五要素模型信息(WysmxInformation)实体类
 *
 * @author makejava
 * @since 2025-02-24 14:29:58
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("wysmx_information")
@ApiModel(value = "WysmxInformation", description = "五要素模型信息")
public class WysmxInformation implements Serializable {
    private static final long serialVersionUID = 285216252862855830L;

    @ApiModelProperty(value = "${column.comment}")
    @TableField("id")
    private Integer id;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    @TableField("xm_id")
    private Integer xmId;

    /**
     * 环境保护
     */
    @ApiModelProperty(value = "环境保护")
    @TableField("hjbh")
    private String hjbh;

    /**
     * 设备载重
     */
    @ApiModelProperty(value = "设备载重")
    @TableField("sbzz")
    private BigDecimal sbzz;

    /**
     * 货梯要求
     */
    @ApiModelProperty(value = "货梯要求")
    @TableField("htyq")
    private String htyq;

    /**
     * 员工密度
     */
    @ApiModelProperty(value = "员工密度")
    @TableField("ygmd")
    private BigDecimal ygmd;

    /**
     * 加工精度
     */
    @ApiModelProperty(value = "加工精度")
    @TableField("jgjd")
    private BigDecimal jgjd;

    /**
     * 减振措施
     */
    @ApiModelProperty(value = "减振措施")
    @TableField("jzcs")
    private String jzcs;

    /**
     * 生产类型
     */
    @ApiModelProperty(value = "生产类型")
    @TableField("sclx")
    private String sclx;

    /**
     * 层高要求
     */
    @ApiModelProperty(value = "层高要求")
    @TableField("cgyq")
    private String cgyq;

    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    @TableField("create_id")
    private Integer createId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    private String createBy;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    @TableField("update_id")
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;
}
